Page MenuHomePhabricator

Mobile Homepage: Make the user option in the mobile menu go to the homepage
Closed, ResolvedPublic

Description

When the user has both the "Display newcomer homepage" and "Default to newcomer homepage from username link in personal tools" preferences turned ON, change the userpage link in the mobile menu to go to the homepage instead.

See parent task for detailed specs.

Event Timeline

SBisson created this task.May 8 2019, 6:54 PM

Change 513346 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/skins/MinervaNeue@master] Add convenience methods for replacing entries

https://gerrit.wikimedia.org/r/513346

Change 513367 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] MobileMenu: Link username to Special:Homepage

https://gerrit.wikimedia.org/r/513367

Change 514402 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/skins/MinervaNeue@master] Encapsulate Login/profile/logout meny entry logic into AuthMenuEntry

https://gerrit.wikimedia.org/r/514402

Change 514402 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Encapsulate Login/profile/logout meny entry logic into AuthMenuEntry

https://gerrit.wikimedia.org/r/514402

Change 513346 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Add method for getting menu entry by name

https://gerrit.wikimedia.org/r/513346

Change 513367 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] MobileMenu: Link username to Special:Homepage

https://gerrit.wikimedia.org/r/513367

Etonkovidova added a comment.EditedJun 7 2019, 2:45 PM

@kostajh - enabling "Display newcomer homepage" will automatically make a username to be a link to Special:Homepage (e.g. <a href="/w/index.php?title=Special:Homepage&amp;source=personaltoolslink&amp;namespace=-1" class="mw-ui-icon mw-ui-icon-before mw-ui-icon-minerva-profile truncated-text primary-action" data-event-name="homepage">ET198</a>).
So the option -Default to newcomer homepage from username link in personal tools - is ignored in mobile.

ovasileva moved this task from Needs triage to Triaged on the Mobile board.Jun 11 2019, 1:50 PM

Change 516525 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Mobile homepage: check if personal tools preference is enabled

https://gerrit.wikimedia.org/r/516525

Change 516525 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Mobile homepage: check if personal tools preference is enabled

https://gerrit.wikimedia.org/r/516525

Etonkovidova closed this task as Resolved.Jun 12 2019, 11:00 AM

Checked in betalabs - all works as usual.